use std::error::Error;
use winit::event_loop::{ControlFlow, EventLoop};

mod renderer;

fn main() -> Result<(), impl Error> {
    env_logger::init();

    let event_loop = EventLoop::new().unwrap();
    event_loop.set_control_flow(ControlFlow::Poll);

    let mut app = renderer::App::new(&event_loop);

    event_loop.run_app(&mut app)
}
